CREATE TABLE cz_config_line_attrs (
    LINE_ATTRIBUTE_ID               NUMBER(18, 0) ,
    PERSISTENT_LINE_ATTRIBUTE_ID    NUMBER(18, 0) ,
    HEADER_ID                       NUMBER(18, 0) ,
    REVISION_NUMBER                 NUMBER(18, 0) ,
    LINE_ID                         NUMBER(18, 0)     NOT NULL,
    ATTRIBUTE_ID                    NUMBER(18, 0)     NOT NULL,
    VALUE_ID                        NUMBER(18, 0) ,
    VARCHAR_VALUE                   VARCHAR2(4000),
    NUMBER_VALUE                    NUMBER        ,
    DATE_VALUE                      DATE          ,
    TIMESTAMP_VALUE                 TIMESTAMP(6)  ,
    UOM_CODE                        VARCHAR2(12)  ,
    DELETED_FLAG                    NUMBER(18, 0)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    LINE_ATTRIBUTE_ID               NUMBER(18, 0) ,
    HEADER_ID                       NUMBER(18, 0) ,
    REVISION_NUMBER                 NUMBER(18, 0) ,
    LINE_ID                         NUMBER(18, 0)     NOT NULL,
    ATTRIBUTE_ID                    NUMBER(18, 0)     NOT NULL,
    VALUE_ID                        NUMBER(18, 0) ,
    VARCHAR_VALUE                   VARCHAR2(4000),
    NUMBER_VALUE                    NUMBER        ,
    DATE_VALUE                      DATE          ,
    TIMESTAMP_VALUE                 TIMESTAMP(6)  ,
    UOM_CODE                        VARCHAR2(12)  ,
    DELETED_FLAG                    NUMBER(18, 0)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    PERSISTENT_LINE_ATTRIBUTE_ID    NUMBER(18, 0) ,
    CONSTRAINT pk_cz_config_line_attrs PRIMARY KEY (LINE_ATTRIBUTE_ID, HEADER_ID, REVISION_NUMBER, LINE_ATTRIBUTE_ID, HEADER_ID, REVISION_NUMBER)
);
